import { HttpPipe } from 'funkster-http';
export declare type ContentEncoding = 'gzip' | 'compress' | 'deflate' | 'identity' | 'br';
export interface ContentType {
    mediaType: string;
    parameters?: any;
}
export interface ContentDisposition {
    type?: string;
    parameters?: any;
}
export interface ContentHeaders {
    disposition?: ContentDisposition;
    encoding?: ContentEncoding;
    language?: string;
    length?: number;
    location?: string;
    type?: ContentType;
}
export declare function parseContentHeaders(handler: (headers: ContentHeaders) => HttpPipe): HttpPipe;
export declare function setContentType(type: string | ContentType): HttpPipe;
export declare function setContentDisposition(filenameOrOptions?: string | ContentDisposition, options?: ContentDisposition): HttpPipe;
export declare function setContentLength(length: number): HttpPipe;
export declare function setContentLanguage(language: string): HttpPipe;
export declare function setContentEncoding(encoding: ContentEncoding): HttpPipe;
export declare function setContentLocation(location: string): HttpPipe;
